package com.persagy.server.datacenter.wanda.rel

import com.persagy.service.models.annotations.SCascade
import io.swagger.v3.oas.annotations.media.Schema
import javax.persistence.Table

/**
 *
 * @author wx  <zhangweixin@sagacloud.com>
 * @date  2021/3/1 14:03
 */
@Schema(name = "关系楼层信息实体类")
@Table(name = "v_floor_buildingname")
class RFl2SpFloor : RelFloor() {

    /** 级联-对象 */
    @Schema(description = "级联-对象")
    @SCascade(table="public.zone_space_base", idColumn="floor_id", childIdColumn="id")
    var objectInfo: ArrayList<RelZoneSpaceBd>? = null
}