package com.persagy.server.datacenter.wanda.rel

import com.persagy.service.models.annotations.SCascade
import io.swagger.v3.oas.annotations.media.Schema
import javax.persistence.Table

/**
 * 系统
 *
 * @author wx  <zhangweixin@sagacloud.com>
 * @date  2021/3/1 18:27
 */
@Schema(description = "系统信息实体类")
@Table(name = "general_system")
class RelSy2EqSystem : RelGeneralSystem() {

    /** 级联-设备服务的建筑 */
    @Schema(description = "级联-设备服务的建筑")
    @SCascade(table="relationship.r_sy2eq", idColumn="sy_id", childIdColumn="eq_id")
    var objectInfo: ArrayList<EquipmentBase>? = null


}