package com.persagy.server.datacenter.wanda.rel

import io.swagger.v3.oas.annotations.media.Schema
import javax.persistence.Column
import javax.persistence.Table


/**
 * 空间和建筑
 * @author wx  <zhangweixin@sagacloud.com>
 * @date  2021/2/18 11:47
 */
@Schema(description = "空间父类实体类")
@Table(name = "v_space_building_floor")
open class RelZoneSpaceBd : SpaceBaseZone() {

    /** 楼层名称 */
    @Schema(description = "楼层名称")
    @Column(name = "floor_name")
    var floorName: String? = null

    /** 建筑名称 */
    @Schema(description = "建筑名称")
    @Column(name = "building_name")
    var buildingName: String? = null

}