//package com.persagy.server.controllers.graphtype
//
//import com.persagy.server.datacenter.models.entities.graphtype.MVirtualWall
//import com.persagy.server.services.graphtype.BaseDataService
//import com.persagy.service.models.enums.SResponseType
//import com.persagy.service.models.requests.SCountRequest
//import com.persagy.service.models.requests.SCreateRequest
//import com.persagy.service.models.requests.SQueryRequest
//import com.persagy.service.models.requests.SUpdateRequest
//import com.persagy.service.models.responses.SBaseResponse
//import com.persagy.service.models.responses.SCountResponse
//import com.persagy.service.models.responses.SCreateResponse
//import com.persagy.service.models.responses.SQueryResponse
//import io.swagger.v3.oas.annotations.Operation
//import io.swagger.v3.oas.annotations.tags.Tag
//import org.slf4j.LoggerFactory
//import org.springframework.web.bind.annotation.PostMapping
//import org.springframework.web.bind.annotation.RequestBody
//import org.springframework.web.bind.annotation.RequestMapping
//import org.springframework.web.bind.annotation.RestController
//
//
//@Tag(name = "构件-虚拟墙接口")
//@RestController
//@RequestMapping("/vwall")
//class MVirtualWallController {
//    companion object {
//        // 日志
//        private val logger = LoggerFactory.getLogger(MVirtualWallController::class.java)
//    } // Companion object
//
//    val dataService = BaseDataService
//
//    /**
//     * 创建虚拟墙
//     *
//     * @param   entity     实体
//     * @return  创建结果应答信息
//     */
//    @Operation(summary = "创建虚拟墙", description = "")
//    @PostMapping(value = ["/create"])
//    fun create(@RequestBody entity: SCreateRequest<MVirtualWall>): SCreateResponse<MVirtualWall> {
//        return dataService.virtualWallService .createList(entity)
//    } // Function create()
//
//    /**
//     * 创建(主键重复则忽略)
//     *
//     * @param   entity     实体
//     * @return  创建结果应答信息
//     */
//    @Operation(summary = "创建(主键重复则忽略)", description = "")
//    @PostMapping(value = ["/create_ignore"])
//    fun createIgnore(@RequestBody entity: SCreateRequest<MVirtualWall>): SCreateResponse<MVirtualWall> {
//        entity.content.forEach {
//            try {
//                dataService.virtualWallService.insert(it)
//            }catch (ignore : Exception){
//
//            }
//        }
//        return SCreateResponse(SResponseType.success)
//    } // Function create()
//
//    /**
//     * 删除虚拟墙
//     *
//     * @param   idList      虚拟墙ID列表
//     * @return  删除结果应答信息
//     */
//    @Operation(summary = "删除虚拟墙", description = "")
//    @PostMapping(value = ["/delete"])
//    fun delete(@RequestBody idList: ArrayList<MVirtualWall>): SBaseResponse {
//        return dataService.virtualWallService.deleteByKeysList(idList)
//    } // Function delete()
//
//    /**
//     * 更新虚拟墙
//     *
//     * @param   request     更新请求
//     * @return  更新结果应答信息
//     */
//    @Operation(summary = "更新虚拟墙", description = "")
//    @PostMapping(value = ["/update"])
//    fun update(@RequestBody request: SUpdateRequest<MVirtualWall>): SBaseResponse {
//        return dataService.virtualWallService.updateList(request)
//    } // Function update()
//
//    /**
//     * 查询虚拟墙
//     *
//     * @param   request     查询请求
//     * @return  查询结果应答信息
//     */
//    @Operation(summary = "查询虚拟墙", description = "")
//    @PostMapping(value = ["/query"])
//    fun query(@RequestBody request: SQueryRequest): SQueryResponse<MVirtualWall> {
//        return dataService.virtualWallService.pageQuery(request)
//    } // Function query()
//
//    /**
//     * 根据条件查询统计数量
//     */
//    @Operation(summary = "根据条件查询统计数量", description = "")
//    @PostMapping(value = ["/count"])
//    fun count(@RequestBody request: SCountRequest): SCountResponse {
//        return dataService.virtualWallService.count(request)
//    } // Function count()
//}