///*
//// * *********************************************************************************************************************
//// *
//// *          !!
//// *        .F88X
//// *        X8888Y
//// *      .}888888N;
//// *        i888888N;        .:!              .I$WI:
//// *          R888888I      .'N88~            i8}+8Y&8"l8i$8>8W~'>W8}8]KW+8IIN"8&
//// *          .R888888I    .;N8888~          .X8'  "8I.!,/8"  !%NY8`"8I8~~8>,88I
//// *            +888888N;  .8888888Y                                  "&&8Y.}8,
//// *            ./888888N;  .R888888Y        .'}~    .>}'.`+>  i}!    "i'  +/'  .'i~  !11,.:">,  .~]!  .i}i
//// *              ~888888%:  .I888888l      .]88~`1/iY88Ii+1'.R$8$8]"888888888>  Y8$  W8E  X8E  W8888'188Il}Y88$*
//// *              18888888    E8888881    .]W%8$`R8X'&8%++N8i,8N%N8+l8%`  .}8N:.R$RE%N88N%N$K$R  188,FE$8%~Y88I
//// *            .E888888I  .i8888888'      .:$8I;88+`E8R:/8N,.>881.`$8E/1/]N8X.Y8N`"KF&&FK!'88*."88K./$88%RN888+~
//// *            8888888I  .,N888888~        ~88i"8W,!N8*.I88.}888%F,i$88"F88"  888:E8X.>88!i88>`888*.}Fl1]*}1YKi'
//// *          i888888N'      I888Y          ]88;/EX*IFKFK88X  K8R  .l8W  88Y  ~88}'88E&%8W.X8N``]88!.$8K  .:W8I
//// *        .i888888N;        I8Y          .&8$  .X88!  i881.:%888>I88  ;88]  +88+.';;;;:.Y88X  18N.,88l  .+88/
//// *      .:R888888I
//// *      .&888888I                                          Copyright (c) 2009-2020.  博锐尚格科技股份有限公司
//// *        ~8888'
//// *        .!88~                                                                     All rights reserved.
//// *
//// * *********************************************************************************************************************
//// */
////
////package com.persagy.server.controllers.objects
////
////import com.persagy.database.SFilter
////import com.persagy.server.datacenter.models.entities.assistant.EquipmentProSy
////import com.persagy.server.datacenter.wanda.obj.Equipment
////import com.persagy.server.services.objects.EquipmentProSyService
////import com.persagy.server.datacenter.services.objects.EquipmentService
////import com.persagy.service.SPageContext
////import com.persagy.service.models.requests.SCountRequest
////import com.persagy.service.models.requests.SCreateRequest
////import com.persagy.service.models.requests.SQueryRequest
////import com.persagy.service.models.requests.SUpdateRequest
////import com.persagy.service.models.responses.SBaseResponse
////import com.persagy.service.models.responses.SCountResponse
////import com.persagy.service.models.responses.SCreateResponse
////import com.persagy.service.models.responses.SQueryResponse
////import io.swagger.v3.oas.annotations.Operation
////import io.swagger.v3.oas.annotations.tags.Tag
////import org.slf4j.LoggerFactory
////import org.springframework.web.bind.annotation.*
////
/////**
//// * 设备接口
//// *
//// * @author 张维新
//// */
////@Tag(name = "004、设备")
////@RestController
////@RequestMapping("/object/equip")
////open class EquipController {
////
////    companion object {
////        /** 日志 */
////        private val logger = LoggerFactory.getLogger(EquipController::class.java)
////    } // Companion object
////
////    /**
////     * 创建设备
////     *
////     * @param   request         设备对象
////     * @return                  创建结果信息
////     */
////    @Operation(summary = "创建设备信息", description = "")
////    @PostMapping(value = ["/create"])
////    fun create(@RequestBody request: SCreateRequest<Equipment>): SCreateResponse<Equipment> {
////        return EquipmentService.createList(request)
////    } // Function create()
////
////    /**
////     * 根据id删除设备
////     *
////     * @param   idList      id数组
////     * @return              删除的结果信息
////     */
////    @Operation(summary = "根据id删除设备信息", description = "")
////    @PostMapping(value = ["/delete"])
////    fun delete(@RequestBody idList: ArrayList<Equipment>): SBaseResponse {
////        return EquipmentService.deleteByKeysList(idList)
////    } // Function delete()
////
////    /**
////     * 更新设备信息
////     *
////     * @param   request        更新的内容对象
////     * @return                  更新的结果
////     */
////    @Operation(summary = "更新设备信息", description = "")
////    @PostMapping(value = ["/update"])
////    fun update(@RequestBody request: SUpdateRequest<Equipment>): SBaseResponse {
////        return EquipmentService.updateList(request)
////    } // Function update()
////
////    /**
////     * 查询设备信息
////     *
////     * @param   request     查询信息条件
////     * @return              查询结果
////     */
////    @Operation(summary = "查询设备信息", description = " 可以级联的对象：资产（property）、楼层（floor）、建筑（building）、项目（project）、设备类（equipCategory）、设备服务的业务空间（zoneSpaceForBase）、设备所在的业务空间（zoneSpaceInBase）、设备所在的竖井（shaftList）  级联查询时子对象过滤时必须指定id否则无法定位对象，级联查询例子：{\n" +
////            "  \"Cascade\": [\n" +
////            "    {\n" +
////            "      \"Name\": \"property\",\n" +
////            "      \"Projection\": [\n" +
////            "        \"Family\",\"EquipLocalName\",\"EquipLocalID\",\"EquipID\",\"CodeType\"\n" +
////            "      ]\n" +
////            "    },\n" +
////            "    {\n" +
////            "      \"Name\": \"building\",\n" +
////            "      \"Projection\": [\n" +
////            "        \"BuildLocalName\",\"BuildName\",\"BuildID\"\n" +
////            "      ]\n" +
////            "    },\n" +
////            " {\n" +
////            "      \"Name\": \"floor\",\n" +
////            "      \"Projection\": [\n" +
////            "        \"FloorLocalName\",\"FloorName\",\"FloorID\"\n" +
////            "      ]\n" +
////            "    }\n" +
////            "  ],\n" +
////            "  \"Filters\": \" not propertyId isnull \",\n" +
////            "  \"PageNumber\": 1,\n" +
////            "  \"PageSize\": 50,\n" +
////            "  \"Projection\": [\n" +
////            "    \"BuildingId\",\"FloorId\",\"Category\",\"EquipLocalName\",\"EquipLocalID\",\"EquipID\",\"BIMID\"\n" +
////            "  ]\n" +
////            "}")
////    @PostMapping(value = ["/query"])
////    fun query(@RequestBody request: SQueryRequest): SQueryResponse<Equipment> {
////        val withFilterList = ArrayList<SFilter>()
////        withFilterList.add(SFilter.eq("projectId", SPageContext.getHeader("projectId").toString()))
////        return EquipmentService.pageQuery(request, withFilterList)
////    } // Function query()
////
////    /**
////     * 根据条件查询统计数量
////     */
////    @Operation(summary = "根据条件查询统计数量", description = "例子： 根据设备类型查询（\"Filters\": \"category ='SISU'\"）," +
////            "根据设备类型和建筑查询（\"Filters\": \"category ='FASE';buildingId = '建筑id'\"），" +
////            "根据设备类型和建筑楼层查询（\"Filters\": \"category ='FASE';buildingId = '建筑id';floorId = '楼层id'\"）")
////    @PostMapping(value = ["/count"])
////    fun count(@RequestBody request: SCountRequest): SCountResponse {
////        val withFilterList = ArrayList<SFilter>()
////        withFilterList.add(SFilter.eq("projectId", SPageContext.getHeader("projectId").toString()))
////        return EquipmentService.count(request, withFilterList)
////    } // Function count()
////
////    /**
////     * 根据项目id查询所有的设备和部件
////     */
////    @Operation(summary = "根据项目id查询所有的设备和部件", description = "")
////    @GetMapping(value = ["/query-equip"])
////    fun queryEquipCom(): SQueryResponse<Equipment>  {
////        return EquipmentService.queryEquipCom()
////    } // Function count()
////
////    /**
////     * 批量创建设备同时创建资产、创建设备和系统的关系
////     *
////     */
////    @Operation(summary = "批量创建设备同时创建资产、创建设备和系统的关系", description = "")
////    @PostMapping(value = ["/creat-equip-pro"])
////    fun createEquipPro(@RequestBody request: SCreateRequest<EquipmentProSy>): SCreateResponse<EquipmentProSy>{
////        return EquipmentProSyService.createList(request)
////    } // Function pageQuery()
////
////
////} // Class EquipController