///*
// * *********************************************************************************************************************
// *
// *          !!
// *        .F88X
// *        X8888Y
// *      .}888888N;
// *        i888888N;        .:!              .I$WI:
// *          R888888I      .'N88~            i8}+8Y&8"l8i$8>8W~'>W8}8]KW+8IIN"8&
// *          .R888888I    .;N8888~          .X8'  "8I.!,/8"  !%NY8`"8I8~~8>,88I
// *            +888888N;  .8888888Y                                  "&&8Y.}8,
// *            ./888888N;  .R888888Y        .'}~    .>}'.`+>  i}!    "i'  +/'  .'i~  !11,.:">,  .~]!  .i}i
// *              ~888888%:  .I888888l      .]88~`1/iY88Ii+1'.R$8$8]"888888888>  Y8$  W8E  X8E  W8888'188Il}Y88$*
// *              18888888    E8888881    .]W%8$`R8X'&8%++N8i,8N%N8+l8%`  .}8N:.R$RE%N88N%N$K$R  188,FE$8%~Y88I
// *            .E888888I  .i8888888'      .:$8I;88+`E8R:/8N,.>881.`$8E/1/]N8X.Y8N`"KF&&FK!'88*."88K./$88%RN888+~
// *            8888888I  .,N888888~        ~88i"8W,!N8*.I88.}888%F,i$88"F88"  888:E8X.>88!i88>`888*.}Fl1]*}1YKi'
// *          i888888N'      I888Y          ]88;/EX*IFKFK88X  K8R  .l8W  88Y  ~88}'88E&%8W.X8N``]88!.$8K  .:W8I
// *        .i888888N;        I8Y          .&8$  .X88!  i881.:%888>I88  ;88]  +88+.';;;;:.Y88X  18N.,88l  .+88/
// *      .:R888888I
// *      .&888888I                                          Copyright (c) 2009-2020.  博锐尚格科技股份有限公司
// *        ~8888'
// *        .!88~                                                                     All rights reserved.
// *
// * *********************************************************************************************************************
// */
//
//package com.persagy.server.controllers.objects
//
//import com.persagy.base.extensions.toJson
//import com.persagy.database.SFilter
//import com.persagy.server.Opt
//import com.persagy.server.datacenter.wanda.obj.Floor
//import com.persagy.server.services.objects.FloorService
//import com.persagy.service.SPageContext
//import com.persagy.service.models.requests.SCreateRequest
//import com.persagy.service.models.requests.SQueryRequest
//import com.persagy.service.models.requests.SUpdateRequest
//import com.persagy.service.models.responses.SBaseResponse
//import com.persagy.service.models.responses.SCreateResponse
//import com.persagy.service.models.responses.SQueryResponse
//import io.swagger.v3.oas.annotations.Operation
//import io.swagger.v3.oas.annotations.tags.Tag
//import org.slf4j.LoggerFactory
//import org.springframework.web.bind.annotation.PostMapping
//import org.springframework.web.bind.annotation.RequestBody
//import org.springframework.web.bind.annotation.RequestMapping
//import org.springframework.web.bind.annotation.RestController
//
///**
// * 楼层接口
// *
// * @author 张维新
// */
//@Tag(name = "003、楼层")
//@RestController
//@RequestMapping("/object/floor")
//open class FloorController {
//    companion object {
//        /** 日志 */
//        private val logger = LoggerFactory.getLogger(FloorController::class.java)
//    }
//
//    /**
//     * 创建楼层
//     *
//     * @param request     楼层对象
//     * @return 创建结果信息
//     */
//    @Operation(summary = "创建楼层", description = "")
//    @PostMapping(value = ["/create"])
//    fun create(@RequestBody request: SCreateRequest<Floor>): SCreateResponse<Floor> {
//        return FloorService.create(request)
//    }
//
//    /**
//     * 根据id删除楼层
//     *
//     * @param idList  id 数组
//     * @return 删除的结果信息
//     */
//    @Operation(summary = "根据id删除楼层", description = "")
//    @PostMapping(value = ["/delete"])
//    fun delete(@RequestBody idList: ArrayList<Floor>): SBaseResponse {
//        return FloorService.deleteByKeysList( idList)
//    }
//
//    /**
//     * 更新楼层信息
//     *
//     *
//     * @param request     更新的内容对象
//     * @return 更新的结果
//     */
//    @Operation(summary = "更新楼层信息", description = "")
//    @PostMapping(value = ["/update"])
//    fun update(@RequestBody request: SUpdateRequest<Floor>): SBaseResponse {
//        return FloorService.upDates(request)
//    }
//
////    /**
////     * 更新楼层信息-Outline
////     *
////     *
////     * @param request     更新楼层信息 Outline
////     * @return 更新的结果
////     */
////    @Operation(summary = "更新楼层信息-Outline", description = "")
////    @PostMapping(value = ["/outline/update"])
////    fun updateOutlines(@RequestBody request: SUpdateRequest<FloorOutline>): SBaseResponse {
////        return FloorService.updateOutline(request)
////    }
//
//    /**
//     * 更新楼层信息-Outline
//     *
//     *
//     * @param   request     更新楼层信息-Outline
//     * @return              更新的结果
//     */
//    @Operation(summary = "更新楼层信息-Outline", description = "")
//    @PostMapping(value = ["/update-outline"])
//    fun updateOutlines(@RequestBody request: SUpdateRequest<Floor>): SBaseResponse {
//        logger.debug("floorUpdate =${request.toJson()}")
//        return FloorService.updateOutline(request)
//    } // Function update()
//
//    /**
//     * 查询楼层信息
//     *
//     * @param   request     查询信息条件
//     * @return              查询结果
//     */
//    @Operation(summary = "查询楼层信息 - outline", description = "")
//    @PostMapping(value = ["/query-outline"])
//    fun queryOutline(@RequestBody request: SQueryRequest): SQueryResponse<Floor> {
//        logger.debug("floorQuery =${request.toJson()}")
//        if (!request.projection.isNullOrEmpty()){
//            request.projection!!.clear()
//        }
//        val list = ArrayList<String>()
//        list.add("id")
//        list.add("name")
//        list.add("localId")
//        list.add("localName")
//        list.add("outline")
//        list.add("floorSequenceId")
//        list.add("modelId")
//        list.add("infos")
//        list.add("properties")
//        request.projection = list
//        return FloorService.pageQuery(request, arrayListOf(SFilter.eq("projectId", SPageContext.getHeader("projectId").toString())))
//    } // Function query()
//
//    /**
//     * 查询楼层信息
//     *
//     * @param request     查询信息条件
//     * @return 查询结果
//     */
//    @Operation(summary = "查询楼层信息", description = "级联对象：建筑（building）、项目（project）、楼层贯通关系（floorThroughList）")
//    @PostMapping(value = ["/query"])
//    fun query(@RequestBody request: SQueryRequest): SQueryResponse<Floor> {
//        return FloorService.pageQuery(request, arrayListOf(SFilter.eq("projectId", Opt.projectId!!)))
//    }
//
//}