///*
// * *********************************************************************************************************************
// *
// *          !!
// *        .F88X
// *        X8888Y
// *      .}888888N;
// *        i888888N;        .:!              .I$WI:
// *          R888888I      .'N88~            i8}+8Y&8"l8i$8>8W~'>W8}8]KW+8IIN"8&
// *          .R888888I    .;N8888~          .X8'  "8I.!,/8"  !%NY8`"8I8~~8>,88I
// *            +888888N;  .8888888Y                                  "&&8Y.}8,
// *            ./888888N;  .R888888Y        .'}~    .>}'.`+>  i}!    "i'  +/'  .'i~  !11,.:">,  .~]!  .i}i
// *              ~888888%:  .I888888l      .]88~`1/iY88Ii+1'.R$8$8]"888888888>  Y8$  W8E  X8E  W8888'188Il}Y88$*
// *              18888888    E8888881    .]W%8$`R8X'&8%++N8i,8N%N8+l8%`  .}8N:.R$RE%N88N%N$K$R  188,FE$8%~Y88I
// *            .E888888I  .i8888888'      .:$8I;88+`E8R:/8N,.>881.`$8E/1/]N8X.Y8N`"KF&&FK!'88*."88K./$88%RN888+~
// *            8888888I  .,N888888~        ~88i"8W,!N8*.I88.}888%F,i$88"F88"  888:E8X.>88!i88>`888*.}Fl1]*}1YKi'
// *          i888888N'      I888Y          ]88;/EX*IFKFK88X  K8R  .l8W  88Y  ~88}'88E&%8W.X8N``]88!.$8K  .:W8I
// *        .i888888N;        I8Y          .&8$  .X88!  i881.:%888>I88  ;88]  +88+.';;;;:.Y88X  18N.,88l  .+88/
// *      .:R888888I
// *      .&888888I                                          Copyright (c) 2009-2020.  博锐尚格科技股份有限公司
// *        ~8888'
// *        .!88~                                                                     All rights reserved.
// *
// * *********************************************************************************************************************
// */
//
//package com.persagy.server.controllers.objects
//
//import com.persagy.database.SFilter
//import com.persagy.server.datacenter.datacenter.models.entities.objects.Tenant
//import com.persagy.server.datacenter.models.entities.objects.TenantWithCount
//import com.persagy.server.datacenter.services.objects.TenantService
//import com.persagy.service.SPageContext
//import com.persagy.service.models.requests.SCountRequest
//import com.persagy.service.models.requests.SCreateRequest
//import com.persagy.service.models.requests.SQueryRequest
//import com.persagy.service.models.requests.SUpdateRequest
//import com.persagy.service.models.responses.SBaseResponse
//import com.persagy.service.models.responses.SCountResponse
//import com.persagy.service.models.responses.SCreateResponse
//import com.persagy.service.models.responses.SQueryResponse
//import io.swagger.v3.oas.annotations.Operation
//import io.swagger.v3.oas.annotations.tags.Tag
//import org.springframework.web.bind.annotation.PostMapping
//import org.springframework.web.bind.annotation.RequestBody
//import org.springframework.web.bind.annotation.RequestMapping
//import org.springframework.web.bind.annotation.RestController
//
///**
// * 租户接口
// *
// * @author 李井强
// */
//@Tag(name = "007、租户")
//@RestController
//@RequestMapping("/object/tenant")
//open class TenantController {
//
//    /**
//     * 创建租户
//     *
//     * @param   request     租户对象
//     * @return
//     */
//    @Operation(summary = "创建租户", description = "")
//    @PostMapping(value = ["/create"])
//    fun create(@RequestBody request: SCreateRequest<Tenant>): SCreateResponse<Tenant> {
//        return TenantService.createList( request)
//    } // Function create()
//
//    /**
//     * 根据id删除数据源
//     */
//    @Operation(summary = "根据id删除数据源", description = "")
//    @PostMapping(value = ["/delete"])
//    fun delete(@RequestBody idList: ArrayList<Tenant>): SBaseResponse {
//        return TenantService.deleteByKeysList( idList)
//    } // Function deleteList()
//
//    /**
//     * 更新租户
//     */
//    @Operation(summary = "更新租户", description = "")
//    @PostMapping(value = ["/update"])
//    fun update(@RequestBody request: SUpdateRequest<Tenant>): SBaseResponse {
//        return TenantService.updateList(request)
//    } // Function update()
//
//    /**
//     * 查询租户
//     */
//    @Operation(summary = "查询租户", description = "级联-租赁租户分区（zoneTenantList）、租赁默认分区（zoneGeneraltList）")
//    @PostMapping(value = ["/query"])
//    fun query(@RequestBody request: SQueryRequest): SQueryResponse<Tenant> {
//        return TenantService.pageQuery(request, arrayListOf(SFilter.eq("projectId", SPageContext.getHeader("projectId").toString())))
//    } // Function query()
//
//    /**
//     * 查询租户-包含统计信息
//     *
//     * @param       request
//     * @return      租户统计信息
//     */
//    @Operation(summary = "查询租户-包含统计信息", description = "此方法可能废弃")
//    @PostMapping(value = ["/query-with-count"])
//    fun queryWithCount(@RequestBody request: SQueryRequest): SQueryResponse<TenantWithCount> {
//        return TenantService.queryWithCount(request)
//    } // Function queryWithCount()
//
//    /**
//     * 根据条件查询统计数量
//     */
//    @Operation(summary = "根据条件查询统计数量", description = "")
//    @PostMapping(value = ["/count"])
//    fun count(@RequestBody request: SCountRequest): SCountResponse {
//        val withFilterList = ArrayList<SFilter>()
//        withFilterList.add(SFilter.eq("projectId", SPageContext.getHeader("projectId").toString()))
//        return TenantService.count(request,withFilterList)
//    } // Function count()
//
//} // Class ZoneTenantController