package cn.sagacloud.server.algorithm.models.entities

import com.alibaba.fastjson.annotation.JSONField
import com.fasterxml.jackson.annotation.JsonIgnoreProperties
import com.fasterxml.jackson.annotation.JsonProperty
import javax.persistence.Column

/**
 *
 *
 * @author jxing
 */
@JsonIgnoreProperties(ignoreUnknown = true)
open class WindowDoorBase : BaseComponent() {

    /** 所属墙 */
    @Column(name = "wall_id")
    var wallId: String? = null

    /** 拥有者的RevitId */
    @Column(name = "owner")
    var owner: String? = null
}