/*
 * *********************************************************************************************************************
 *
 *          !!
 *        .F88X
 *        X8888Y
 *      .}888888N;
 *        i888888N;        .:!              .I$WI:
 *          R888888I      .'N88~            i8}+8Y&8"l8i$8>8W~'>W8}8]KW+8IIN"8&
 *          .R888888I    .;N8888~          .X8'  "8I.!,/8"  !%NY8`"8I8~~8>,88I
 *            +888888N;  .8888888Y                                  "&&8Y.}8,
 *            ./888888N;  .R888888Y        .'}~    .>}'.`+>  i}!    "i'  +/'  .'i~  !11,.:">,  .~]!  .i}i
 *              ~888888%:  .I888888l      .]88~`1/iY88Ii+1'.R$8$8]"888888888>  Y8$  W8E  X8E  W8888'188Il}Y88$*
 *              18888888    E8888881    .]W%8$`R8X'&8%++N8i,8N%N8+l8%`  .}8N:.R$RE%N88N%N$K$R  188,FE$8%~Y88I
 *            .E888888I  .i8888888'      .:$8I;88+`E8R:/8N,.>881.`$8E/1/]N8X.Y8N`"KF&&FK!'88*."88K./$88%RN888+~
 *            8888888I  .,N888888~        ~88i"8W,!N8*.I88.}888%F,i$88"F88"  888:E8X.>88!i88>`888*.}Fl1]*}1YKi'
 *          i888888N'      I888Y          ]88;/EX*IFKFK88X  K8R  .l8W  88Y  ~88}'88E&%8W.X8N``]88!.$8K  .:W8I
 *        .i888888N;        I8Y          .&8$  .X88!  i881.:%888>I88  ;88]  +88+.';;;;:.Y88X  18N.,88l  .+88/
 *      .:R888888I
 *      .&888888I                                          Copyright (c) 2009-2020.  博锐尚格科技股份有限公司
 *        ~8888'
 *        .!88~                                                                     All rights reserved.
 *
 * *********************************************************************************************************************
 */

package com.persagy.server.services

import com.persagy.database.SQueryBuilder
import com.persagy.mybatis.SMybatisDao
import com.persagy.server.datacenter.models.entities.graphtype.RelationTypeProject
import com.persagy.server.datacenter.datacenter.wanda.obj.Equipment
import com.persagy.server.services.base.Service
import com.persagy.service.SBaseService
import org.slf4j.LoggerFactory

/**
 * 设备信息服务
 *
 * @author 张维新
 */
object EquipmentService : Service<Equipment>(SMybatisDao(Equipment::class.java)) {

    private val logger = LoggerFactory.getLogger(EquipmentService::class.java)

    /** 关系总览服务 */
    val relationTypeProjectservice = SBaseService(SMybatisDao(RelationTypeProject::class.java))

//    /**
//     * 创建前赋值操作
//     *
//     * @param   equip   设备对象
//     */
//    override fun onCreateBefore(equip: Equipment): Boolean {
//        /** 查询准备类型 */
//        val projectId = SPageContext.getHeader("projectId")
//        if (!equip.id.isNullOrEmpty()) {
//            val isStartsWith = equip.id.toString().startsWith("Eq")
//            if (!isStartsWith) {
//                /** 资产id */
//                equip.id = IdUtils.equipmentIdCreate(projectId!!)
//            }
//        } else {
//            /** 资产id */
//            equip.id = IdUtils.equipmentIdCreate(projectId!!)
//        }
//        /** 项目id */
//        equip.projectId = projectId
//        /** 设备名字 */
//        if (equip.name.isNullOrEmpty()) {
//            equip.name = ShaftNameUtil.shaftName("设备-")
//        }
//
//        equip.codeType = 1
//        return true
//    } // Function onCreateBefore()
//
//    override fun onCountSuccess(count: Long) {
//        super.onCountSuccess(count)
//
//    }


    /**
     * 查询设备数量之前设置条件
     *
     * @param   queryBuilder    条件信息
     */
    override fun onCountBefore(queryBuilder: SQueryBuilder<Equipment>) {
        queryBuilder.tableName = "v_equipment"
        return
    }  // Function onCreateBefore()

    /**
     * 查询设备之前添加条件方法
     *
     * @param   queryBuilder    条件信息
     */
    override fun onQueryBefore(queryBuilder: SQueryBuilder<Equipment>) {
        queryBuilder.tableName = "v_equipment"
        /** 调整数量 */
//        SQueryRequest.maxRow
//        val pr = PropertyService.select(SFilter.eq("id", "Pe20b75606191ea7ab530b314b0abaa176")).entity()
//        val listp = ArrayList<Property>()
//        pr!!.equipId = null
//        listp.add(pr)
//        val sUpdate= SUpdateRequest<Property>()
//        sUpdate.content = listp
//        sUpdate.projection = arrayListOf("EquipmentId")
//        PropertyService.updateList(sUpdate)
//        logger.debug("修改结束*********************************")
////
//        val list = arrayListOf("1180765",
//                "1180762")
//        this.select(SFilter.inList(SEndWithChar("bimId",":"),list) ).exec()

        return
    } // Function onCreateBefore()








} // Object EquipmentService