package com.persagy.server.datacenter.wanda.dict

import com.persagy.server.datacenter.models.entities.dictnew.DefFuncId
import io.swagger.v3.oas.annotations.media.Schema
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 阶段
 *
 * @author wx
 */
@Schema(description = "字典万达阶段")
@Table(name = "dict.dict_stage")
class DictStage {

    @Schema(description = "信息点编码")
    @Id
    @Column(name = "code")
    var code: String? = null

    /** 信息点名称 */
    @Schema(description = "信息点名称")
    @Column(name = "name")
    var name: String? = null

    @Schema(description = "信息点")
    var infos: ArrayList<DefFuncId>? = null

}