package com.persagy.server.datacenter.wanda.rel

import com.persagy.service.models.annotations.SCascade
import io.swagger.v3.oas.annotations.media.Schema
import javax.persistence.Table

/**
 *
 * @author wx  <zhangweixin@sagacloud.com>
 * @date  2021/3/1 15:24
 */
@Schema(description = "空间父类实体类")
@Table(name = "v_space_building_floor")
class RelSp2SpSpace: RelZoneSpaceBd() {


    /** 级联-设备服务的建筑 */
    @Schema(description = "级联-设备服务的建筑")
    @SCascade(table="relationship.r_sp2sp", idColumn="id1", childIdColumn="id2")
    var objectInfo: ArrayList<RelZoneSpaceBd>? = null


}