//package com.persagy.server.controllers.graphtype
//
//import com.persagy.server.datacenter.models.entities.graphtype.MWindow
//import com.persagy.server.services.graphtype.BaseDataService
//import com.persagy.service.models.enums.SResponseType
//import com.persagy.service.models.requests.SCountRequest
//import com.persagy.service.models.requests.SCreateRequest
//import com.persagy.service.models.requests.SQueryRequest
//import com.persagy.service.models.requests.SUpdateRequest
//import com.persagy.service.models.responses.SBaseResponse
//import com.persagy.service.models.responses.SCountResponse
//import com.persagy.service.models.responses.SCreateResponse
//import com.persagy.service.models.responses.SQueryResponse
//import io.swagger.v3.oas.annotations.Operation
//import io.swagger.v3.oas.annotations.tags.Tag
//import org.slf4j.LoggerFactory
//import org.springframework.web.bind.annotation.PostMapping
//import org.springframework.web.bind.annotation.RequestBody
//import org.springframework.web.bind.annotation.RequestMapping
//import org.springframework.web.bind.annotation.RestController
//
//@Tag(name = "构件-窗户接口")
//@RestController
//@RequestMapping("/window")
//class MWindowController {
//
//    companion object {
//        // 日志
//        private val logger = LoggerFactory.getLogger(MWindowController::class.java)
//    } // Companion object
//
//    val dataService = BaseDataService
//
//    /**
//     * 创建窗户
//     *
//     * @param   entity     实体
//     * @return  创建结果应答信息
//     */
//    @Operation(summary = "创建窗户", description = "")
//    @PostMapping(value = ["/create"])
//    fun create(@RequestBody entity: SCreateRequest<MWindow>): SCreateResponse<MWindow> {
//        return dataService.windowService.createList(entity)
//    } // Function create()
//
//    /**
//     * 创建(主键重复则忽略)
//     *
//     * @param   entity     实体
//     * @return  创建结果应答信息
//     */
//    @Operation(summary = "创建(主键重复则忽略)", description = "")
//    @PostMapping(value = ["/create_ignore"])
//    fun createIgnore(@RequestBody entity: SCreateRequest<MWindow>): SCreateResponse<MWindow> {
//        entity.content.forEach {
//            try {
//                dataService.windowService.insert(it)
//            }catch (ignore : Exception){
//
//            }
//        }
//        return SCreateResponse(SResponseType.success)
//    } // Function create()
//
//    /**
//     * 删除窗户
//     *
//     * @param   idList      窗户ID列表
//     * @return  删除结果应答信息
//     */
//    @Operation(summary = "删除窗户", description = "")
//    @PostMapping(value = ["/delete"])
//    fun delete(@RequestBody idList: ArrayList<MWindow>): SBaseResponse {
//        return dataService.windowService.deleteByKeysList(idList)
//    } // Function delete()
//
//    /**
//     * 更新窗户
//     *
//     * @param   request     更新请求
//     * @return  更新结果应答信息
//     */
//    @Operation(summary = "更新窗户", description = "")
//    @PostMapping(value = ["/update"])
//    fun update(@RequestBody request: SUpdateRequest<MWindow>): SBaseResponse {
//        return dataService.windowService.updateList(request)
//    } // Function update()
//
//    /**
//     * 查询窗户
//     *
//     * @param   request     查询请求
//     * @return  查询结果应答信息
//     */
//    @Operation(summary = "查询窗户", description = "")
//    @PostMapping(value = ["/query"])
//    fun query(@RequestBody request: SQueryRequest): SQueryResponse<MWindow> {
//        return dataService.windowService.pageQuery(request)
//    } // Function query()
//
//    /**
//     * 根据条件查询统计数量
//     */
//    @Operation(summary = "根据条件查询统计数量", description = "")
//    @PostMapping(value = ["/count"])
//    fun count(@RequestBody request: SCountRequest): SCountResponse {
//        return dataService.windowService.count(request)
//    } // Function count()
//}