///*
// * *********************************************************************************************************************
// *
// *          !!
// *        .F88X
// *        X8888Y
// *      .}888888N;
// *        i888888N;        .:!              .I$WI:
// *          R888888I      .'N88~            i8}+8Y&8"l8i$8>8W~'>W8}8]KW+8IIN"8&
// *          .R888888I    .;N8888~          .X8'  "8I.!,/8"  !%NY8`"8I8~~8>,88I
// *            +888888N;  .8888888Y                                  "&&8Y.}8,
// *            ./888888N;  .R888888Y        .'}~    .>}'.`+>  i}!    "i'  +/'  .'i~  !11,.:">,  .~]!  .i}i
// *              ~888888%:  .I888888l      .]88~`1/iY88Ii+1'.R$8$8]"888888888>  Y8$  W8E  X8E  W8888'188Il}Y88$*
// *              18888888    E8888881    .]W%8$`R8X'&8%++N8i,8N%N8+l8%`  .}8N:.R$RE%N88N%N$K$R  188,FE$8%~Y88I
// *            .E888888I  .i8888888'      .:$8I;88+`E8R:/8N,.>881.`$8E/1/]N8X.Y8N`"KF&&FK!'88*."88K./$88%RN888+~
// *            8888888I  .,N888888~        ~88i"8W,!N8*.I88.}888%F,i$88"F88"  888:E8X.>88!i88>`888*.}Fl1]*}1YKi'
// *          i888888N'      I888Y          ]88;/EX*IFKFK88X  K8R  .l8W  88Y  ~88}'88E&%8W.X8N``]88!.$8K  .:W8I
// *        .i888888N;        I8Y          .&8$  .X88!  i881.:%888>I88  ;88]  +88+.';;;;:.Y88X  18N.,88l  .+88/
// *      .:R888888I
// *      .&888888I                                          Copyright (c) 2009-2020.  博锐尚格科技股份有限公司
// *        ~8888'
// *        .!88~                                                                     All rights reserved.
// *
// * *********************************************************************************************************************
// */
//
//package com.persagy.server.controllers.objects
//
//import com.persagy.base.extensions.toJson
//import com.persagy.database.SFilter
//import com.persagy.server.datacenter.wanda.obj.Equipment
//import com.persagy.server.datacenter.models.entities.objects.GeneralSystem
//import com.persagy.server.datacenter.models.entities.objects.Shaft
//import com.persagy.server.datacenter.datacenter.models.entities.objects.ZoneSpace
//import com.persagy.server.datacenter.models.entities.rel.RSyEq
//import com.persagy.server.datacenter.models.entities.rel.RSyEqList
//import com.persagy.server.services.objects.GeneralSystemService
//import com.persagy.service.SPageContext
//import com.persagy.service.models.requests.SCountRequest
//import com.persagy.service.models.requests.SCreateRequest
//import com.persagy.service.models.requests.SQueryRequest
//import com.persagy.service.models.requests.SUpdateRequest
//import com.persagy.service.models.responses.SBaseResponse
//import com.persagy.service.models.responses.SCountResponse
//import com.persagy.service.models.responses.SCreateResponse
//import com.persagy.service.models.responses.SQueryResponse
//import io.swagger.v3.oas.annotations.Operation
//import io.swagger.v3.oas.annotations.tags.Tag
//import org.slf4j.LoggerFactory
//import org.springframework.web.bind.annotation.*
//
///**
// * 系统接口
// *
// * @author 张维新
// */
//@Tag(name= "009、系统")
//@RestController
//@RequestMapping("/object/general-system")
//open class GeneralSystemController {
//    companion object {
//        // 日志
//        private val logger = LoggerFactory.getLogger(GeneralSystemController::class.java)
//    } // Companion object
//
//    /**
//     * 创建系统信息
//     *
//     * @param   request         系统对象
//     * @return  SCreateResponse 创建结果信息
//     */
//    @Operation(summary = "创建系统信息", description =  "")
//    @PostMapping(value = ["/create"])
//    fun create(@RequestBody request: SCreateRequest<GeneralSystem>): SCreateResponse<GeneralSystem> {
//        logger.debug("generalSystem =${request.toJson()}")
//      return  GeneralSystemService.createList(request)
//    } // Function create()
//
//    /**
//     * 系统的建筑楼层
//     */
//    @Operation(summary ="创建系统信息-处理建筑楼层", description ="")
//    @PostMapping(value = ["/create-bd-fl"])
//    fun createBdFl(@RequestBody request: SCreateRequest<GeneralSystem>): SCreateResponse<GeneralSystem> {
//        logger.debug("generalSystem =${request.toJson()}")
//        return  GeneralSystemService.createBdFl(request)
//    } // Function create()
//
//    /**
//     * 根据id删除系统
//     *
//     * @param   idList           项目id
//     * @param   idList              id数组
//     * @return  SDeleteResponse()   删除的结果信息
//     */
//    @Operation(summary ="根据id删除系统", description ="")
//    @PostMapping(value = ["/delete"])
//    fun delete(@RequestBody idList: ArrayList<GeneralSystem>): SBaseResponse {
//       return GeneralSystemService.deleteByKeysList(idList)
//    } // Function delete()
//
//    /**
//     * 更新系统信息
//     *
//     * @param   request             更新的内容对象
//     * @return  SUpdateResponse()   更新的结果
//     */
//    @Operation(summary ="更新系统信息", description ="")
//    @PostMapping(value = ["/update"])
//    fun update(@RequestBody request: SUpdateRequest<GeneralSystem>): SBaseResponse {
//        logger.debug("generalSystemUpdate =${request.toJson()}")
//       return  GeneralSystemService.updateList(request)
//    } // Function update()
//
//    /**
//     * 查询系统信息
//     *
//     * @param   request         查询信息条件
//     * @return  SQueryResponse  查询结果
//     */
//    @Operation(summary ="查询系统信息", description ="MajorName 专业名称 ,级联查询 系统分类名（categoryNames），系统下的设备（equipmentList），系统下的竖井（shaftList），业务空间（zoneSpaceBaseTableList）")
//    @PostMapping(value = ["/query"])
//    fun query(@RequestBody request: SQueryRequest): SQueryResponse<GeneralSystem> {
//        logger.debug("generalSystemQuery =${request.toJson()}")
//        val withFilterList = ArrayList<SFilter>()
//        withFilterList.add(SFilter.eq("projectId", SPageContext.getHeader("projectId").toString()))
//       return GeneralSystemService.pageQuery(request,withFilterList)
//    } // Function query()
//
//
//    /**
//     * 查询系统信息
//     *
//     * @param   request         查询信息条件
//     * @return  SQueryResponse  查询结果
//     */
//    @Operation(summary ="查询系统信息-系统建筑楼层一对多", description ="MajorName 专业名称 ,级联查询 系统分类名（categoryNames），系统下的设备（equipmentList），系统下的竖井（shaftList），业务空间（zoneSpaceBaseTableList）")
//    @PostMapping(value = ["/query-new"])
//    fun query(@RequestParam buildingId: String?,@RequestParam floorId: String?, @RequestBody request: SQueryRequest): SQueryResponse<GeneralSystem> {
//        logger.debug("generalSystemQuery =${request.toJson()}")
//        return GeneralSystemService.pageQuerys(buildingId, floorId, request)
//    } // Function query()
//
//
//    /**
//     * 根据条件查询统计数量
//     */
//    @Operation(summary = "根据条件查询统计数量", description = "例子： 根据类型查询（\"Filters\": \"category ='系统分类'\"）," +
//            "根据设备类型和建筑查询（\"Filters\": \"category ='FASE';buildingId = '建筑id'\"），" +
//            "根据设备类型和建筑楼层查询（\"Filters\": \"category ='FASE';buildingId = '建筑id';floorId = '楼层id'\"）")
//    @PostMapping(value = ["/count"])
//    fun count(@RequestBody request: SCountRequest): SCountResponse {
//        val withFilterList = ArrayList<SFilter>()
//        withFilterList.add(SFilter.eq("projectId", SPageContext.getHeader("projectId").toString()))
//        return GeneralSystemService.count(request,withFilterList)
//    } // Function count()
//
//    /**
//     * 查询没有和当前空间绑定的系统
//     *
//     * @param   type        空间类型
//     * @param   spaceId     空间id
//     */
//    @Operation(summary ="查询没有和当前空间绑定的系统", description ="例如：prijectId=Pj4201050001,type=AirConditioningZone spaceId=Sp4201050001df2091cdf719443b80bb737aeabf0525 " +
//            "spaceId 为当前空间id type为当前空间类型 ")
//    @PostMapping(value = ["/unspace-sys"])
//    fun unSpaceSys(@RequestParam  type: String, @RequestParam spaceId: String,@RequestBody request: SQueryRequest): SQueryResponse<GeneralSystem>{
//        return GeneralSystemService.unSpaceSys(type,spaceId, request)
//    } // // Function unSpaceSys()
//
//    /**
//     * 查询没有和当前系统关联的设备
//     *
//     * @param   sysId        系统id
//     */
//    @Operation(summary ="查询没有和当前系统关联的设备", description ="id 为系统id")
//    @PostMapping(value = ["/un-sys-equip"])
//    fun unSysEquip(@RequestParam sysId: String, @RequestBody request: SQueryRequest): SQueryResponse<Equipment>{
//        return GeneralSystemService.unSysEquip(sysId, request)
//    } // Fun unSysEquip()
//
//    /**
//     * 查询没有和当前系统关联的竖井
//     *
//     * @param   sysId        系统id
//     */
//    @Operation(summary ="查询没有和当前系统关联的竖井", description ="id 为系统id")
//    @PostMapping(value = ["/un-sys-shaft"])
//    fun unSysShaft(@RequestParam sysId: String,@RequestBody request: SQueryRequest): SQueryResponse<Shaft>{
//        return GeneralSystemService.unSysShaft(sysId, request)
//    } //  Fun unSysShaft()
//
//    /**
//     * 查询没有和当前系统关联的业务空间
//     *
//     * @param   sysId        系统id
//     */
//    @Operation(summary ="查询没有和当前系统关联的业务空间", description ="id 为系统id")
//    @PostMapping(value = ["/un-sys-zoneSpaceBaseTable"])
//    fun unSysZoneSpaceBaseTable(@RequestParam sysId: String,@RequestBody request: SQueryRequest): SQueryResponse<ZoneSpace>{
//        return GeneralSystemService.unSysZoneSpaceBaseTable(sysId, request)
//    } // Fun unSysZoneSpaceBaseTable()
//
//    /**
//     * 创建系统下的设备关系
//     */
//    @Operation(summary = "创建系统下的设备关系", description = "必填项：ListEquipId（设备id列表）、SysId(系统id)")
//    @PostMapping(value = ["/link-equip"])
//    fun createLinkEquip(@RequestBody rSyEqList: RSyEqList): SCreateResponse<RSyEq> {
//        logger.debug("rSyEqList =${rSyEqList.toJson()}")
//        return GeneralSystemService.createLinkEquip(rSyEqList)
//    } // Function create()
//
////    RSyInShList
////    RSyInSpBaseList
//} // Class GeneralSystemController