///*
// * *********************************************************************************************************************
// *
// *          !!
// *        .F88X
// *        X8888Y
// *      .}888888N;
// *        i888888N;        .:!              .I$WI:
// *          R888888I      .'N88~            i8}+8Y&8"l8i$8>8W~'>W8}8]KW+8IIN"8&
// *          .R888888I    .;N8888~          .X8'  "8I.!,/8"  !%NY8`"8I8~~8>,88I
// *            +888888N;  .8888888Y                                  "&&8Y.}8,
// *            ./888888N;  .R888888Y        .'}~    .>}'.`+>  i}!    "i'  +/'  .'i~  !11,.:">,  .~]!  .i}i
// *              ~888888%:  .I888888l      .]88~`1/iY88Ii+1'.R$8$8]"888888888>  Y8$  W8E  X8E  W8888'188Il}Y88$*
// *              18888888    E8888881    .]W%8$`R8X'&8%++N8i,8N%N8+l8%`  .}8N:.R$RE%N88N%N$K$R  188,FE$8%~Y88I
// *            .E888888I  .i8888888'      .:$8I;88+`E8R:/8N,.>881.`$8E/1/]N8X.Y8N`"KF&&FK!'88*."88K./$88%RN888+~
// *            8888888I  .,N888888~        ~88i"8W,!N8*.I88.}888%F,i$88"F88"  888:E8X.>88!i88>`888*.}Fl1]*}1YKi'
// *          i888888N'      I888Y          ]88;/EX*IFKFK88X  K8R  .l8W  88Y  ~88}'88E&%8W.X8N``]88!.$8K  .:W8I
// *        .i888888N;        I8Y          .&8$  .X88!  i881.:%888>I88  ;88]  +88+.';;;;:.Y88X  18N.,88l  .+88/
// *      .:R888888I
// *      .&888888I                                          Copyright (c) 2009-2020.  博锐尚格科技股份有限公司
// *        ~8888'
// *        .!88~                                                                     All rights reserved.
// *
// * *********************************************************************************************************************
// */
//
//package com.persagy.server.controllers.objects
//
//import com.persagy.database.SFilter
//import com.persagy.server.Opt
//import com.persagy.server.datacenter.models.entities.assistant.DictSpaceProject
//import com.persagy.server.datacenter.models.entities.objects.Building
//import com.persagy.server.datacenter.datacenter.models.entities.objects.ZoneSpace
//import com.persagy.server.datacenter.models.entities.task.SpaceType
//import com.persagy.server.datacenter.models.requests.DCSQueryRequest
//import com.persagy.server.datacenter.models.requests.UpDataFloorAndBuildingRequests
//import com.persagy.server.datacenter.datacenter.models.response.SpaceSQueryResponse
//import com.persagy.server.services.objects.ZoneSpaceBaseService
//import com.persagy.server.services.relation_calc.MepSystemCalcService
//import com.persagy.service.SPageContext
//import com.persagy.service.models.requests.SCountRequest
//import com.persagy.service.models.requests.SCreateRequest
//import com.persagy.service.models.requests.SUpdateRequest
//import com.persagy.service.models.responses.SBaseResponse
//import com.persagy.service.models.responses.SCountResponse
//import com.persagy.service.models.responses.SCreateResponse
//import com.persagy.service.models.responses.SQueryResponse
//import io.swagger.v3.oas.annotations.Operation
//import io.swagger.v3.oas.annotations.tags.Tag
//import org.slf4j.LoggerFactory
//import org.springframework.beans.factory.annotation.Autowired
//import org.springframework.web.bind.annotation.PostMapping
//import org.springframework.web.bind.annotation.RequestBody
//import org.springframework.web.bind.annotation.RequestMapping
//import org.springframework.web.bind.annotation.RestController
//
///**
// * 空间父类接口
// *
// * @author 张维新
// */
//@Tag(name = "006、空间")
//@RestController
//@RequestMapping("/object/zone")
//open class ZoneSpaceController {
//    companion object {
//        /** 日志 */
//        private val logger = LoggerFactory.getLogger(ZoneSpaceController::class.java)
//    } // Companion object
//
//    @Autowired
//    lateinit var mepSystemCalc: MepSystemCalcService
//
//    /**
//     * 查询空间信息
//     *
//     * @param   request     查询信息条件
//     * @return              查询结果
//     */
////    @Operation(summary = "查询空间信息", description = "级联查询：建筑（building），楼层（floor），空间类型（zoneName）")
////    @PostMapping(value = ["/query"])
////    fun query(@RequestBody request: SQueryRequest): SQueryResponse<ZoneSpace> {
////        logger.debug("metaSpaceQuery =${request.toJson()}")
//////        arrayListOf(SFilter.eq("projectId", SPageContext.getHeader("projectId").toString()))
////        val projectId = SPageContext.getHeader("projectId")
////        if (projectId.isNullOrEmpty()){
////            return ZoneSpaceBaseService.pageQuery(request)
////        }else{
////            return ZoneSpaceBaseService.pageQuery(request, arrayListOf(SFilter.eq("projectId", projectId!!)))
////        }
////    } // Function query()
//
//    /**
//     * 根据条件查询统计数量
//     */
//    @Operation(summary = "根据条件查询统计数量", description = "")
//    @PostMapping(value = ["/count"])
//    fun count(@RequestBody request: SCountRequest): SCountResponse {
//        return ZoneSpaceBaseService.count(request, arrayListOf(SFilter.eq("projectId", Opt.projectId!!)))
//    } // Function count()
//
//    /**
//     * 查询空间信息
//     */
//    @Operation(summary = "查询空间信息", description = "级联查询：建筑（buildingList），楼层（floorlList），空间类型（objectType）未明确楼层(isnull),未明确建筑(isnull)")
//    @PostMapping(value = ["/query"])
//    fun querySpace(@RequestBody request: DCSQueryRequest): SQueryResponse<ZoneSpace> {
//        return ZoneSpaceBaseService.querySpaces(request)
//    } // Function querySpace()
//
//
//    /**
//     * 查询业务空间的建筑楼层，包含受影响的空间数量
//     */
//    @Operation(summary = "查询业务空间的建筑楼层，包含受影响的空间数量", description = "")
//    @PostMapping(value = ["/building-floor"])
//    fun querySpBuildingFloor(): SQueryResponse<Building>{
//        return ZoneSpaceBaseService.spBuildingFloor()
//    }
//
//    /**
//     * 查询业务空间的所有类型
//     */
//    @Operation(summary = "查询业务空间的所有类型", description = "")
//    @PostMapping(value = ["/type"])
//    fun queryZoneTypeSpace(@RequestBody request: DCSQueryRequest): SQueryResponse<DictSpaceProject>{
//        return ZoneSpaceBaseService.zoneTypequery(request)
//    } // Fun
//
//
////    /**
////     * 创建业务空间类型
////     */
////    @Operation(summary = "创建业务空间类型", description = "")
////    @PostMapping(value = ["/create-type"])
////    fun createZoneType(@RequestBody request: SCreateRequest<DictSpaceProject>): SCreateResponse<DictSpaceProject> {
////        return DictSpaceProjectService.zoneTypeCreate(request)
////    } // Fun
//
////    /**
////     * 删除业务空间类型
////     */
////    @Operation(summary = "删除业务空间类型", description = "")
////    @PostMapping(value = ["/delete-type"])
////    fun deleteZoneType(@RequestBody idList: ArrayList<DictSpaceProject>): SBaseResponse {
////        return DictSpaceProjectService.zoneTypeDelete(idList)
////    } // Fun
//
//
//    /**
//     * 创建空间分区
//     *
//     * @param   request     创建空间分区
//     * @return                  创建结果信息
//     */
//    @Operation(summary = "创建空间分区对象", description = "必填：空间类型（ObjectType）")
//    @PostMapping(value = ["/create"])
//    fun createSpace(@RequestBody request: SCreateRequest<ZoneSpace>): SCreateResponse<ZoneSpace> {
//        return ZoneSpaceBaseService.createList(request)
//    } // Function create()
//
//    /**
//     * 根据id删除分区
//     *
//     * @param   idList      id数组
//     * @return              删除的结果信息
//     */
//    @Operation(summary = "根据id删除分区对象", description = "")
//    @PostMapping(value = ["/delete"])
//    fun delete(@RequestBody idList: ArrayList<ZoneSpace>): SBaseResponse {
//        return ZoneSpaceBaseService.deleteByKeysList(idList)
//    } // Function delete()
//
//    /**
//     * 更新分区信息
//     *
//     * @param   request     更新的内容对象
//     * @return              更新的结果
//     */
//    @Operation(summary = "更新分区对象信息", description = "")
//    @PostMapping(value = ["/update"])
//    fun update(@RequestBody request: SUpdateRequest<ZoneSpace>): SBaseResponse {
//        return ZoneSpaceBaseService.updateList(request)
//    } // Function update()
//
////    /**
////     * 更新分区信息 Outline
////     *
////     * @param request     更新的内容对象
////     * @return 更新的结果
////     */
////    @Operation(summary = "更新分区对象信息 Outline", description = "")
////    @PostMapping(value = ["/outline/update"])
////    fun updateOutline(@RequestBody request: SUpdateRequest<SpaceOutline>): SBaseResponse {
////        return ZoneSpaceBaseService.upDateOutline(request)
////    } // Function update()
//
//
//    /**
//     * 更新分区信息 Outline
//     *
//     * @param   request     更新的内容对象
//     * @return              更新的结果
//     */
//    @Operation(summary = "更新分区对象信息-Outline", description = "")
//    @PostMapping(value = ["/update-outline"])
//    fun updateOutline(@RequestBody request: SUpdateRequest<ZoneSpace>): SBaseResponse {
//        return ZoneSpaceBaseService.upDateOutline(request)
//    } // Function update()
//
//
//    /**
//     * 查询空间信息
//     *
//     * @param   request     查询信息条件
//     * @return              查询结果
//     */
//    @Operation(summary = "查询空间信息-outline", description = "级联查询：建筑（building），楼层（floor），空间类型（objectType）")
//    @PostMapping(value = ["/query-outline"])
//    fun queryOutline(@RequestBody request: DCSQueryRequest): SpaceSQueryResponse {
//        val projectId = SPageContext.getHeader("projectId")
//        if (!request.projection.isNullOrEmpty()){
//            request.projection!!.clear()
//        }
//        val list = ArrayList<String>()
//        list.add("outline")
//        list.add("id")
//        list.add("name")
//        list.add("localId")
//        list.add("localName")
//        list.add("classCode")
//        list.add("buildingId")
//        list.add("floorId")
//        list.add("state")
//        request.projection = list
//        return ZoneSpaceBaseService.querySpaces(request)
//
//    } // Function query()
//
//
////    /**
////     * 查询空间信息
////     *
////     * @param request     查询信息条件
////     * @return 查询结果
////     */
////    @Operation(summary = "查询空间信息 outline", description = "")
////    @PostMapping(value = ["/outline/query"])
////    fun queryOutline(@RequestBody request: SQueryRequest): SQueryResponse<SpaceOutline> {
////        return ZoneSpaceBaseService.spaceOutlineService.pageQuery(request)
////    }
//
//    /**
//     * 修改空间和楼层建筑的关系
//     *
//     * @param   upDataFloorAndBuildingRequestsList     修改对象列表
//     */
//    @Operation(summary = "修改业务空间对象和建筑楼层的关系", description = "spaceId 业务空间id,id 楼层或建筑id,type  业务空间的类型")
//    @PostMapping(value = ["/update-fl-bd"])
//    fun  spFloorAndBuilding(@RequestBody upDataFloorAndBuildingRequestsList:ArrayList<UpDataFloorAndBuildingRequests>): SBaseResponse {
//        return ZoneSpaceBaseService.upDataFloorORBuilding(upDataFloorAndBuildingRequestsList)
//    } // Function spFloorAndBuilding
//
//    /**
//     * 获取项目下已有的空间类型
//     */
//    @Operation(summary = "获取项目下已有的空间类型", description = "")
//    @PostMapping(value = ["/space-type"])
//    fun spaceType(): SQueryResponse<SpaceType>{
//        val projectId = SPageContext.getHeader("projectId")
//        return mepSystemCalc.spaceTypes(projectId!!)
//    } // Function
//
//} // Class ZoneAirConditioningController