/*
 * *********************************************************************************************************************
 *
 *          !!
 *        .F88X
 *        X8888Y
 *      .}888888N;
 *        i888888N;        .:!              .I$WI:
 *          R888888I      .'N88~            i8}+8Y&8"l8i$8>8W~'>W8}8]KW+8IIN"8&
 *          .R888888I    .;N8888~          .X8'  "8I.!,/8"  !%NY8`"8I8~~8>,88I
 *            +888888N;  .8888888Y                                  "&&8Y.}8,
 *            ./888888N;  .R888888Y        .'}~    .>}'.`+>  i}!    "i'  +/'  .'i~  !11,.:">,  .~]!  .i}i
 *              ~888888%:  .I888888l      .]88~`1/iY88Ii+1'.R$8$8]"888888888>  Y8$  W8E  X8E  W8888'188Il}Y88$*
 *              18888888    E8888881    .]W%8$`R8X'&8%++N8i,8N%N8+l8%`  .}8N:.R$RE%N88N%N$K$R  188,FE$8%~Y88I
 *            .E888888I  .i8888888'      .:$8I;88+`E8R:/8N,.>881.`$8E/1/]N8X.Y8N`"KF&&FK!'88*."88K./$88%RN888+~
 *            8888888I  .,N888888~        ~88i"8W,!N8*.I88.}888%F,i$88"F88"  888:E8X.>88!i88>`888*.}Fl1]*}1YKi'
 *          i888888N'      I888Y          ]88;/EX*IFKFK88X  K8R  .l8W  88Y  ~88}'88E&%8W.X8N``]88!.$8K  .:W8I
 *        .i888888N;        I8Y          .&8$  .X88!  i881.:%888>I88  ;88]  +88+.';;;;:.Y88X  18N.,88l  .+88/
 *      .:R888888I
 *      .&888888I                                          Copyright (c) 2009-2020.  博锐尚格科技股份有限公司
 *        ~8888'
 *        .!88~                                                                     All rights reserved.
 *
 * *********************************************************************************************************************
 */

package com.persagy.server.syn.models.response

import java.io.Serializable

/**
 *
 * @author  wx
 * @date  2020/9/20 15:50
 */
class DictMajorResponse: Serializable {


    /**
     * result : success
     * data : [{"id":10,"code":"SE","name":"强电专业","aliasCode":"SE","aliasName":"强电专业","type":"common","groupId":"0"},{"id":11,"code":"WE","name":"弱电专业","aliasCode":"WE","aliasName":"弱电专业","type":"common","groupId":"0"},{"id":12,"code":"AC","name":"空调专业","aliasCode":"AC","aliasName":"空调专业","type":"common","groupId":"0"},{"id":13,"code":"FF","name":"消防专业","aliasCode":"FF","aliasName":"消防专业","type":"common","groupId":"0"},{"id":14,"code":"SP","name":"安防专业","aliasCode":"SP","aliasName":"安防专业","type":"common","groupId":"0"},{"id":15,"code":"WS","name":"给排水专业","aliasCode":"WS","aliasName":"给排水专业","type":"common","groupId":"0"},{"id":16,"code":"CF","name":"土建专业","aliasCode":"CF","aliasName":"土建专业","type":"common","groupId":"0"},{"id":17,"code":"OT","name":"其他","aliasCode":"OT","aliasName":"其他","type":"common","groupId":"0"}]
     * count : 8
     */
     var result: String? = null
     var count = 0
     var data: ArrayList<DataBean>? = null

    class DataBean: Serializable {
        /**
         * id : 10
         * code : SE
         * name : 强电专业
         * aliasCode : SE
         * aliasName : 强电专业
         * type : common
         * groupId : 0
         */
        var id: String? =  null
        var dictTypeId: String? = null
        var code: String? = null
        var label: String? = null
        var aliasCode: String? = null
        var aliasName: String? = null
        var type: String? = null
        var groupId: String? = null
        var note: String? = null
        var status: String? = null
        var createUser: String? = null
    } // class DataBean

} // class DictMajorResponse