///*
// * *********************************************************************************************************************
// *
// *          !!
// *        .F88X
// *        X8888Y
// *      .}888888N;
// *        i888888N;        .:!              .I$WI:
// *          R888888I      .'N88~            i8}+8Y&8"l8i$8>8W~'>W8}8]KW+8IIN"8&
// *          .R888888I    .;N8888~          .X8'  "8I.!,/8"  !%NY8`"8I8~~8>,88I
// *            +888888N;  .8888888Y                                  "&&8Y.}8,
// *            ./888888N;  .R888888Y        .'}~    .>}'.`+>  i}!    "i'  +/'  .'i~  !11,.:">,  .~]!  .i}i
// *              ~888888%:  .I888888l      .]88~`1/iY88Ii+1'.R$8$8]"888888888>  Y8$  W8E  X8E  W8888'188Il}Y88$*
// *              18888888    E8888881    .]W%8$`R8X'&8%++N8i,8N%N8+l8%`  .}8N:.R$RE%N88N%N$K$R  188,FE$8%~Y88I
// *            .E888888I  .i8888888'      .:$8I;88+`E8R:/8N,.>881.`$8E/1/]N8X.Y8N`"KF&&FK!'88*."88K./$88%RN888+~
// *            8888888I  .,N888888~        ~88i"8W,!N8*.I88.}888%F,i$88"F88"  888:E8X.>88!i88>`888*.}Fl1]*}1YKi'
// *          i888888N'      I888Y          ]88;/EX*IFKFK88X  K8R  .l8W  88Y  ~88}'88E&%8W.X8N``]88!.$8K  .:W8I
// *        .i888888N;        I8Y          .&8$  .X88!  i881.:%888>I88  ;88]  +88+.';;;;:.Y88X  18N.,88l  .+88/
// *      .:R888888I
// *      .&888888I                                          Copyright (c) 2009-2020.  博锐尚格科技股份有限公司
// *        ~8888'
// *        .!88~                                                                     All rights reserved.
// *
// * *********************************************************************************************************************
// */
//
//package com.persagy.server.controllers
//
//import com.persagy.database.SFilter
//import com.persagy.server.datacenter.datacenter.models.entities.dictnew.DefClass
//import com.persagy.server.datacenter.datacenter.wanda.obj.Equipment
//import com.persagy.server.datacenter.datacenter.models.entities.objects.Property
//import com.persagy.server.datacenter.models.response.EquipAssetComponentsReqponse
//import com.persagy.server.models.*
//import com.persagy.server.models.requests.EquipUpDateEnclosure
//import com.persagy.server.models.requests.EquipUpDateEnclosureRequest
//import com.persagy.server.models.requests.RSQueryResponse
//import com.persagy.server.models.requests.ZoneEquipQueryRequest
//import com.persagy.server.service.*
//import com.persagy.server.service.base.BaseDataService
//import com.persagy.server.service.objects.EquipmentService
//import com.persagy.server.utils.customfun.CharLength
//import com.persagy.service.SPageContext
//import com.persagy.service.models.requests.SCountRequest
//import com.persagy.service.models.requests.SCreateRequest
//import com.persagy.service.models.requests.SQueryRequest
//import com.persagy.service.models.requests.SUpdateRequest
//import com.persagy.service.models.responses.SBaseResponse
//import com.persagy.service.models.responses.SCountResponse
//import com.persagy.service.models.responses.SCreateResponse
//import com.persagy.service.models.responses.SQueryResponse
//import io.swagger.v3.oas.annotations.Operation
//import io.swagger.v3.oas.annotations.tags.Tag
//import org.slf4j.LoggerFactory
//import org.springframework.beans.factory.annotation.Autowired
//import org.springframework.web.bind.annotation.*
//
///**
// * 设备接口
// *
// * @author  wx
// * @date  2020/9/24 19:55
// */
//@Tag(name = "设备相关接口")
//@RestController
//@RequestMapping("/equip-query")
//class EquipController {
//    companion object {
//        /** 日志 */
//        private val logger = LoggerFactory.getLogger(EquipController::class.java)
//    } // Companion object
//
//
//    /** 实例化 mapper 对象 */
//    @Autowired
//    lateinit var rEquipComponService: REquipComponService
//
//    @Autowired
//    lateinit var customSqlService: CustomSqlService
//
//    /**
//     * 查询设备信息 关联的部件 资产信息
//     *
//     * @param   request     查询信息条件
//     * @return              查询结果
//     */
//    @Operation(summary = "查询设备关联资产部件数量",  description = "")
//    @PostMapping(value = ["/equip-components"])
//    fun getEquipAssetComponents(@RequestBody request: SQueryRequest): SQueryResponse<EquipAssetComponentsReqponse> {
//        return EquipmentService.getEquipAssetComponent(request)
//    } // Function getEquipAssetComponents()
//
//    /**
//     * 查询当前设备类型下的部件分类以及数量
//     *
//     * @param   request     查询信息条件
//     * @return              查询结果
//     */
//    @Operation(summary = "查询当前设备类型下的部件分类以及数量", description = "")
//    @PostMapping(value = ["/components-count"])
//    fun getEquipComponentsCount(@RequestBody request: SQueryRequest):SQueryResponse<VEquipComponentCount>{
//        return EquipmentService.getComponentCount(request)
//    }// Function getEquipComponentsCount()
//
//    /**
//     * 查詢部件关联的资产
//     *
//     * @param   request     查询信息条件
//     * @return              查询结果
//     */
//    @Operation(summary = "查詢部件关联的资产", description = "")
//    @PostMapping(value = ["/components-property"])
//    fun getComponentProperty(@RequestBody request: SQueryRequest):SQueryResponse<ComponentProperty>{
//        return EquipmentService.getComponentProperty(request)
//    } // Function getEquipComponentsCount()
//
//    /**
//     *查询当前设备类型的允许下所有部件类型，设备下的部件对应数量
//     *
//     * @param   id          设备id
//     * @param   category    分类
//     */
//    @Operation(summary = "查询当前设备类型下允许的所有部件类型，设备下的部件对应类型的数量", description = "")
//    @GetMapping(value = ["/equip-compon"])
//    fun getEquipCompon(@RequestParam id:String,@RequestParam category: String): RSQueryResponse<EquipCompon> {
//        return  rEquipComponService.getEquipCompon(id,category)
//    }
//
//    /**
//     * 根据设备批量创建资产
//     */
//    @Operation(summary = "根据设备批量创建资产", description = "")
//    @PostMapping(value = ["/creat-propertys"])
//    fun batchCreation(@RequestBody request: SQueryRequest): SCreateResponse<Equipment> {
//        return EquipmentService.batchCreationProperty(request)
//    } // Function batchCreation()
//
//    /**
//     * 根据条件查询统计数量
//     */
//    @Operation(summary = "根据条件查询统计数量，查询设备或部件", description = "例子： 根据设备类型或部件类型查询（\"Filters\": \"category ='SISU'\"）," +
//            "根据设备类型和建筑查询（\"Filters\": \"category ='FASE';buildingId = '建筑id'\"），" +
//            "根据设备类型和建筑楼层查询（\"Filters\": \"category ='FASE';buildingId = '建筑id';floorId = '楼层id'\"）")
//    @PostMapping(value = ["/count"])
//    fun count(@RequestBody request: SCountRequest): SCountResponse {
//        val withFilterList = ArrayList<SFilter>()
//        withFilterList.add(SFilter.eq("projectId", SPageContext.getHeader("projectId").toString()))
//        return EquipmentORComService.count(request,withFilterList)
//    } // Function count()
//
//    /**
//     * 查询设备或部件
//     */
//    @Operation(summary = "查询设备或部件", description = "例子： 根据设备类型或部件类型查询（\"Filters\": \"category ='SISU'\"）," +
//            "根据设备类型和建筑查询（\"Filters\": \"category ='FASE';buildingId = '建筑id'\"），" +
//            "根据设备类型和建筑楼层查询（\"Filters\": \"category ='FASE';buildingId = '建筑id';floorId = '楼层id'\"）")
//    @PostMapping(value = ["/pagequery"])
//    fun pageQuery(@RequestBody request: SQueryRequest): SQueryResponse<Equipment> {
//        val withFilterList = ArrayList<SFilter>()
//        withFilterList.add(SFilter.eq("projectId", SPageContext.getHeader("projectId").toString()))
//        return EquipmentORComService.pageQuery(request,withFilterList)
//    } // Function pageQuery()
//
//    @Autowired
//    lateinit var equipmentZoneService: EquipmentZoneService
//
//    /**
//     * 根据建筑, 楼层, 业务空间类型, 业务空间id查询设备
//     */
//    @Operation(summary = "根据建筑, 楼层, 业务空间类型, 业务空间id查询设备", description = "例子： 根据设备类型或部件类型查询（\"Filters\": \"category ='SISU'\"）," +
//            "根据设备类型和建筑查询（\"Filters\": \"category ='FASE';buildingId = '建筑id'\"），" +
//            "根据设备类型和建筑楼层查询（\"Filters\": \"category ='FASE';buildingId = '建筑id';floorId = '楼层id'\"）" +
//            "所属业务空间类型填在ZoneType字段, 所属业务空间id填在ZoneId字段" +
//            "如果是查询不属于任何业务空间的对象, 设置notInZone = true")
//    @PostMapping(value = ["/zone-query"])
//    fun zoneQuery(@RequestBody request: ZoneEquipQueryRequest): SQueryResponse<Equipment> {
//        val withFilterList = ArrayList<SFilter>()
//        val projectId = SPageContext.getHeader("projectId").toString()
//        withFilterList.add(SFilter.eq("projectId", projectId))
//        withFilterList.add(SFilter.eq(CharLength("classCode", ""), 6))
//        if(request.zoneId.isNullOrEmpty() && request.zoneType.isNullOrEmpty()) {
//            return BaseDataService.equipmentService.pageQuery(request, withFilterList)
//        }
//        if(request.notInZone == true) {
//            val equipIdsUnderSpace = equipmentZoneService.selectAllEquipsUnderSpace(projectId)
//            if(!equipIdsUnderSpace.isNullOrEmpty())
//                withFilterList.add(SFilter.not(SFilter.inList("id", equipIdsUnderSpace)))
//            return BaseDataService.equipmentService.pageQuery(request, withFilterList)
//        }
//        val equipIdUnderSpace = equipmentZoneService.getEquipIdUnderSpace(projectId, request.zoneType, request.zoneId)
//        if(equipIdUnderSpace.isNullOrEmpty()){
//            return SQueryResponse()
//        }
//        withFilterList.add(SFilter.inList("id", equipIdUnderSpace))
//        return BaseDataService.equipmentService.pageQuery(request, withFilterList)
//    } // Function pageQuery()
//
//
//    /**
//     * 根据建筑, 楼层, 业务空间类型, 业务空间id查询部件
//     */
//    @Operation(summary = "根据建筑, 楼层, 业务空间类型, 业务空间id查询部件", description = "例子： 根据设备类型或部件类型查询（\"Filters\": \"category ='SISU'\"）," +
//            "根据设备类型和建筑查询（\"Filters\": \"category ='FASE';buildingId = '建筑id'\"），" +
//            "根据设备类型和建筑楼层查询（\"Filters\": \"category ='FASE';buildingId = '建筑id';floorId = '楼层id'\"）" +
//            "所属业务空间类型填在ZoneType字段, 所属业务空间id填在ZoneId字段" +
//            "如果是查询不属于任何业务空间的对象, 设置notInZone = true")
//    @PostMapping(value = ["/zone-component-query"])
//    fun zoneComponentQuery(@RequestBody request: ZoneEquipQueryRequest): SQueryResponse<ComponentCascade> {
//        val withFilterList = ArrayList<SFilter>()
//        val projectId = SPageContext.getHeader("projectId").toString()
//        withFilterList.add(SFilter.eq("projectId", projectId))
//        withFilterList.add(SFilter.eq(CharLength("classCode", ""), 8))
//        if(request.zoneId.isNullOrEmpty() && request.zoneType.isNullOrEmpty()) {
//            return BaseDataService.conponentService.pageQuery(request, withFilterList)
//        }
//        if(request.notInZone == true) {
//            val equipIdsUnderSpace = equipmentZoneService.selectAllEquipsUnderSpace(projectId)
//            if(!equipIdsUnderSpace.isNullOrEmpty())
//                withFilterList.add(SFilter.not(SFilter.inList("parentId", equipIdsUnderSpace)))
//            return BaseDataService.conponentService.pageQuery(request, withFilterList)
//        }
//        val equipIdUnderSpace = equipmentZoneService.getEquipIdUnderSpace(projectId, request.zoneType, request.zoneId)
//        if(equipIdUnderSpace.isNullOrEmpty()){
//            return SQueryResponse()
//        }
//        withFilterList.add(SFilter.inList("parentId", equipIdUnderSpace))
//        return BaseDataService.conponentService.pageQuery(request, withFilterList)
//    } // Function pageQuery()
//
//
//    /**
//     * 批量创建设备同时创建资产、创建设备和系统的关系
//     *
//     */
//    @Operation(summary = "批量创建设备同时创建资产、创建设备和系统的关系", description = "")
//    @PostMapping(value = ["/creat-equip-pro"])
//    fun create(@RequestBody request: SCreateRequest<EquipmentProSy>): SCreateResponse<EquipmentProSy>{
//        return EquipmentProSyService.createList(request)
//    } // Function pageQuery()
//
//    /**
//     * 查询不在当前系统下的设备
//     */
//    @Operation(summary = "查询不在当前系统下的设备", description = "")
//    @PostMapping(value = ["/equip-sys"])
//    fun pageQueryEquipSys(@RequestParam sysId: String, @RequestBody request: SQueryRequest): SQueryResponse<Equipment>{
//        return EquipmentService.queryBeforeEquipSy(sysId,request)
//    } // Function pageQuery()
//
//    /**
//     * 查询当前系统下的设备
//     */
//    @Operation(summary = "查询当前系统下的设备", description = "")
//    @PostMapping(value = ["/sys-equip"])
//    fun pageQuerySysEquip(@RequestBody request: SQueryRequest): SQueryResponse<SysEquip>{
//        return SysEquipService.pageQuery(request, arrayListOf(SFilter.eq("projectId", SPageContext.getHeader("projectId").toString())))
//    } // Function pageQuery()
//
//    /**
//     * 查询项目下的所有设备和部件的类型、以及类型名称
//     */
//    @Operation(summary = "查询项目下的所有设备和部件的类型、以及类型名称", description = "")
//    @GetMapping(value = ["/equip-compon-category"])
//    fun  equipORComponCategory(): SQueryResponse<EquipORComponCategory>{
//        return EquipORComponCategoryService.getEquipORComponCategory()
//    }
//
//
//    /**
//     * 修改设备的附件功能
//     */
//    @Operation(summary = " 修改设备的附件功能", description = "")
//    @PostMapping(value = ["/update"])
//    fun equipUpDateEnclosure(@RequestBody equipUpDateEnclosureRequest: EquipUpDateEnclosureRequest<EquipUpDateEnclosure>) : SBaseResponse{
//        return EquipmentService.equipUpDateEnclosurs(equipUpDateEnclosureRequest)
//    } // Function equipUpDateEnclosure()
//
//    /**
//     * 根据模型id查询待删除的设备数量
//     */
//    @Operation(summary = " 根据模型id查询待删除的设备数量", description = "")
//    @PostMapping(value = ["/equip-del-com"])
//    fun equipComDel(@RequestBody equipComDelList: ArrayList<EquipComDel>):SQueryResponse<EquipComDel>{
//        return EquipmentService.equipComDels(equipComDelList)
//    } //
//
//
//    /**
//     * 根据模型id查询待补充的设备数量
//     */
//    @Operation(summary = " 根据模型id查询待补充的设备数量", description = "")
//    @PostMapping(value = ["/equip-supply"])
//    fun equipPropertySupply(@RequestBody equipComDelList: ArrayList<EquipComDel>):SQueryResponse<EquipComDel>{
//        return EquipmentService.equipPropertySupplys(equipComDelList)
//    } //
//
//    /**
//     * 模型质量报告 待删除的设备
//     */
//    @Operation(summary = " 模型质量报告 待删除的设备", description = "级联-任务（scanTaskBase）、资产（property）、设备类型（equipCategory），级联任务的时候需要设置条件（TaskState = 0 添加时间降序  取第一个值 ）")
//    @PostMapping(value = ["/equip-comm-del"])
//    fun equipCommDel(@RequestBody sQueryRequest: SQueryRequest): SQueryResponse<EquipmentDel>{
//        val withFilterList = ArrayList<SFilter>()
//        withFilterList.add(SFilter.eq("projectId", SPageContext.getHeader("ProjectId").toString()))
//        return EquipDelService.pageQuery(sQueryRequest,withFilterList)
//    } //
//
//    /**
//     * 模型质量报告 待补充的设备
//     */
//    @Operation(summary = " 模型质量报告 待补充的设备", description = "级联-设备类型（equipFamily）")
//    @PostMapping(value = ["/property-equip-supp"])
//    fun propertyEquip(@RequestBody sQueryRequest: SQueryRequest): SQueryResponse<PropertySupplement>{
//        return EquipmentService.equipPropertySupp(sQueryRequest)
//    }
//
//    /**
//     * 设备信息点
//     */
//    @Operation(summary = "统计设备信息点与总数据占比", description = "")
//    @PostMapping(value = ["/info-point"])
//    fun infoPoint(): SQueryResponse<InfoPoint> {
//        return customSqlService.infoPoints()
//    }// Function infoPoint()
//
//    /**
//     * 设备已采集信息点
//     */
//    @Operation(summary = "统计设备信息点与需采集数据占比", description = "")
//    @PostMapping(value = ["/gather-info-point"])
//    fun gatherInfoPoint(): SQueryResponse<GatherInfoPoint> {
//        return customSqlService.gatherInfoPoints()
//    }// Function gatherInfoPoint()
//
//    /**
//     * 设备已采集信息点
//     */
//    @Operation(summary = "统计系统信息点与需采集数据占比", description = "")
//    @PostMapping(value = ["/system-info-point"])
//    fun systemInfoPoin(): SQueryResponse<GatherInfoPoint> {
//        return customSqlService.systemInfoPoins()
//    }// Function gatherInfoPoint()
//
//    /**
//     * 台账中待删除的对象
//     */
//    @Operation(summary = "台账中待删除的对象 数量统计", description = "")
//    @PostMapping(value = ["/del-equip-comm-pro"])
//    fun deleteObj(): SCountResponse{
//        return EquipmentService.delObj()
//    } //
//
//    /**
//     * 项目下所有的设备类型以及名称
//     */
//    @Operation(summary = "项目下所有的设备类型以及名称", description = "")
//    @PostMapping(value = ["/type"])
//    fun equipType(): SQueryResponse<DefClass>{
//        return EquipmentService.equipTypeName()
//    }
//}