///*
// * *********************************************************************************************************************
// *
// *          !!
// *        .F88X
// *        X8888Y
// *      .}888888N;
// *        i888888N;        .:!              .I$WI:
// *          R888888I      .'N88~            i8}+8Y&8"l8i$8>8W~'>W8}8]KW+8IIN"8&
// *          .R888888I    .;N8888~          .X8'  "8I.!,/8"  !%NY8`"8I8~~8>,88I
// *            +888888N;  .8888888Y                                  "&&8Y.}8,
// *            ./888888N;  .R888888Y        .'}~    .>}'.`+>  i}!    "i'  +/'  .'i~  !11,.:">,  .~]!  .i}i
// *              ~888888%:  .I888888l      .]88~`1/iY88Ii+1'.R$8$8]"888888888>  Y8$  W8E  X8E  W8888'188Il}Y88$*
// *              18888888    E8888881    .]W%8$`R8X'&8%++N8i,8N%N8+l8%`  .}8N:.R$RE%N88N%N$K$R  188,FE$8%~Y88I
// *            .E888888I  .i8888888'      .:$8I;88+`E8R:/8N,.>881.`$8E/1/]N8X.Y8N`"KF&&FK!'88*."88K./$88%RN888+~
// *            8888888I  .,N888888~        ~88i"8W,!N8*.I88.}888%F,i$88"F88"  888:E8X.>88!i88>`888*.}Fl1]*}1YKi'
// *          i888888N'      I888Y          ]88;/EX*IFKFK88X  K8R  .l8W  88Y  ~88}'88E&%8W.X8N``]88!.$8K  .:W8I
// *        .i888888N;        I8Y          .&8$  .X88!  i881.:%888>I88  ;88]  +88+.';;;;:.Y88X  18N.,88l  .+88/
// *      .:R888888I
// *      .&888888I                                          Copyright (c) 2009-2020.  博锐尚格科技股份有限公司
// *        ~8888'
// *        .!88~                                                                     All rights reserved.
// *
// * *********************************************************************************************************************
// */
//
//package com.persagy.server.controllers.labsl
//
//import com.persagy.database.SFilter
//import com.persagy.server.datacenter.datacenter.models.entities.dictnew.DefClass
//import com.persagy.server.datacenter.datacenter.wanda.obj.Building
//import com.persagy.server.models.labsl.EquipTypeLabsl
//import com.persagy.server.service.labsl.CustomSqlLabslService
//import com.persagy.server.service.labsl.EquipTypeLabslService
//import com.persagy.service.SPageContext
//import com.persagy.service.models.requests.SQueryRequest
//import com.persagy.service.models.responses.SQueryResponse
//import io.swagger.v3.oas.annotations.Operation
//import io.swagger.v3.oas.annotations.tags.Tag
//import org.springframework.beans.factory.annotation.Autowired
//import org.springframework.web.bind.annotation.PostMapping
//import org.springframework.web.bind.annotation.RequestBody
//import org.springframework.web.bind.annotation.RequestMapping
//import org.springframework.web.bind.annotation.RestController
//
///**
// * 蜡笔森林定制接口
// *
// * @author wx  <zhangweixin@sagacloud.com>
// * @date  2020/10/20 23:17
// */
//@Tag(name = "蜡笔森林")
//@RestController
//@RequestMapping("/labsl")
//class LabslController {
//    /** 实例化 mapper 对象 */
//    @Autowired
//    lateinit var customSqlLabslService: CustomSqlLabslService
//
//    /**
//     * 查询项目下的设备类型
//     */
//    @Operation(summary = "查询项目下所有的设备类型", description = "")
//    @PostMapping(value = ["/category"])
//    fun equipClassCode(): SQueryResponse<DefClass> {
//        return customSqlLabslService.equipTypeStatistics()
//    }
//
//    /**
//     * 项目下的空间类型
//     */
//   @Operation(summary = "查询项目下的空间类型", description = "")
//    @PostMapping(value = ["/zone/type"])
//    fun spaceClassCode(): SQueryResponse<DefClass> {
//        return customSqlLabslService.spaceTypeStatistics()
//    }
//
//    /**
//     * 项目下的建筑楼层
//     */
//   @Operation(summary = "查询项目下的建筑楼层，包含未明确建筑和未明确楼层", description = "")
//    @PostMapping(value = ["/building/floor"])
//    fun  buildingFloor(): SQueryResponse<Building> {
//        return customSqlLabslService.buildingFloorStatistics()
//    }
//
//    /**
//     * 查询设备包含设备类型
//     */
//   @Operation(summary = "查询设备包含设备类型", description = "")
//    @PostMapping(value = ["/query/equip"])
//    fun query(@RequestBody request: SQueryRequest): SQueryResponse<EquipTypeLabsl> {
//        val withFilterList = ArrayList<SFilter>()
//        withFilterList.add(SFilter.eq("projectId", SPageContext.getHeader("projectId").toString()))
//        return EquipTypeLabslService.pageQuery(request, withFilterList)
//    } // Function query()
//
//    /**
//     * 根据设备 id 统计 设备所属的专业
//     */
//   @Operation(summary = "根据设备 id 统计 设备所属的专业", description = " 设备 id 列表")
//    @PostMapping(value = ["/major/category"])
//    fun equipMajor(@RequestBody idList: ArrayList<String>): SQueryResponse<DefClass> {
//        return EquipTypeLabslService.equipMajor(idList)
//    }
//}