///*
// * *********************************************************************************************************************
// *
// *          !!
// *        .F88X
// *        X8888Y
// *      .}888888N;
// *        i888888N;        .:!              .I$WI:
// *          R888888I      .'N88~            i8}+8Y&8"l8i$8>8W~'>W8}8]KW+8IIN"8&
// *          .R888888I    .;N8888~          .X8'  "8I.!,/8"  !%NY8`"8I8~~8>,88I
// *            +888888N;  .8888888Y                                  "&&8Y.}8,
// *            ./888888N;  .R888888Y        .'}~    .>}'.`+>  i}!    "i'  +/'  .'i~  !11,.:">,  .~]!  .i}i
// *              ~888888%:  .I888888l      .]88~`1/iY88Ii+1'.R$8$8]"888888888>  Y8$  W8E  X8E  W8888'188Il}Y88$*
// *              18888888    E8888881    .]W%8$`R8X'&8%++N8i,8N%N8+l8%`  .}8N:.R$RE%N88N%N$K$R  188,FE$8%~Y88I
// *            .E888888I  .i8888888'      .:$8I;88+`E8R:/8N,.>881.`$8E/1/]N8X.Y8N`"KF&&FK!'88*."88K./$88%RN888+~
// *            8888888I  .,N888888~        ~88i"8W,!N8*.I88.}888%F,i$88"F88"  888:E8X.>88!i88>`888*.}Fl1]*}1YKi'
// *          i888888N'      I888Y          ]88;/EX*IFKFK88X  K8R  .l8W  88Y  ~88}'88E&%8W.X8N``]88!.$8K  .:W8I
// *        .i888888N;        I8Y          .&8$  .X88!  i881.:%888>I88  ;88]  +88+.';;;;:.Y88X  18N.,88l  .+88/
// *      .:R888888I
// *      .&888888I                                          Copyright (c) 2009-2020.  博锐尚格科技股份有限公司
// *        ~8888'
// *        .!88~                                                                     All rights reserved.
// *
// * *********************************************************************************************************************
// */
//
//package com.persagy.server.messagecenter
//
//import org.slf4j.LoggerFactory
//import org.springframework.context.annotation.Bean
//import org.springframework.context.annotation.Configuration
//import springfox.documentation.builders.ApiInfoBuilder
//import springfox.documentation.builders.ParameterBuilder
//import springfox.documentation.builders.PathSelectors
//import springfox.documentation.builders.RequestHandlerSelectors
//import springfox.documentation.schema.ModelRef
//import springfox.documentation.service.ApiInfo
//import springfox.documentation.service.Contact
//import springfox.documentation.service.Parameter
//import springfox.documentation.spi.DocumentationType
//import springfox.documentation.spring.web.plugins.Docket
//import springfox.documentation.swagger2.annotations.EnableSwagger2
//
///**
// * RESTful API文档生成器Swagger2配置
// *
// * @author  PLX
// */
//@Configuration
//@EnableSwagger2
//open class Swagger2Config {
//    companion object {
//        // 日志
//        private val logger = LoggerFactory.getLogger(Swagger2Config::class.java)
//    } // Companion object
//
//    /**
//     * 创建RestApi文档生成器
//     *
//     * @return  返回文档生成器对象
//     */
//    @Bean
//    open fun createRestApi(): Docket {
//        logger.debug("createRestApi")
//        val builder = ParameterBuilder()
////        val builderComming = ParameterBuilder()
////        val builderPhone = ParameterBuilder()
//        val pars = ArrayList<Parameter>()
//        builder.name("projectId").description("项目ID").modelRef(ModelRef("string")).parameterType("header").required(false).build()
////        builderComming.name("coming").description("来源").modelRef(ModelRef("string")).parameterType("header").required(false).build()
////        builderPhone.name("Account").description("账号信息").modelRef(ModelRef("string")).parameterType("header").required(false).build()
//        pars.add(builder.build())
////        pars.add(builderComming.build())
////        pars.add(builderPhone.build())
//        return Docket(DocumentationType.SWAGGER_2)
//                .apiInfo(apiInfo())
//                .select()
//                .apis(RequestHandlerSelectors.basePackage("com.persagy.server"))
//                .paths(PathSelectors.any())
//                .build()
//                .globalOperationParameters(pars)
//    } // Function createRestApi()
//
//    /**
//     * 返回API信息基本
//     *
//     * @return  返回Api基本信息
//     */
//    private fun apiInfo(): ApiInfo {
//        return ApiInfoBuilder()
//                .title("消息中心API")
//                .description("")
//                .termsOfServiceUrl("http://www.sagacloud.cn/")
//                .contact(Contact("邓婷婷", "", "danmohendt@163.com"))
//                .version("2.0")
//                .build()
//    } // Function apiInfo()
//} // Class Swagger2Config